# Лабораторная работа №2

## Выполнил: Долгов Дмитрий, группа ПИбд-42

### Были выбраны следующие варианты программ:

* _Вариант первого приложения: 6._ Берёт из каталога /var/data случайный файл и перекладывает его в /var/result/data.txt.
* _Вариант второго приложения: 1._ Ищет набольшее число из файла /var/data/data.txt и сохраняет его вторую степень в /var/result/result.txt.

Кроме того, для генерации файлов был реализован сервис file_generator

### Были использованы следующие технологии:

* git
* docker
* docker-compose
* язык программирования Python

### Для запуска лабораторной работы, находясь в папке `dolgov_dmitriy_lab_2`, необходимо выполнить следующую команду:

```
docker-compose up --build
```
Таким образом, запустятся все сервисы, необходимые для выполнения лабораторной работы.

## Результат запуска:
```
app2-1            | Наибольшее числовое значение: 29.0
app2-1            | Результат: 841.0
app1-1            | Файл file_3.txt успешно перемещен в /var/result/data.txt
app2-1 exited with code 0
app1-1 exited with code 0
```
## Видео с результатом запуска: 

Видео можно посмотреть по данной [ссылке](https://drive.google.com/file/d/1Iw6BR0lRvh4382QsIEfr5E68-09aKX9C/view?usp=drive_link).